Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.impl
Class XMLEntityManager

    java.lang.Object
      weblogic.apache.xerces.impl.XMLEntityManager

All Implemented Interfaces:
  XMLComponent, XMLEntityResolver

Direct Known Subclasses:
  XML11EntityManager

Deprecated. please use JDK supplied XML parsers and transformers

    public class XMLEntityManager

extends Object
implements XMLComponent, XMLEntityResolver

The entity manager handles the registration of general and parameter entities; resolves entities; and starts entities. The entity manager is a central component in a standard parser configuration and this class works directly with the entity scanner to manage the underlying xni.

This component requires the following features and properties from the component manager that uses it:

- http://xml.org/sax/features/validation
- http://xml.org/sax/features/external-general-entities
- http://xml.org/sax/features/external-parameter-entities
- http://apache.org/xml/features/allow-java-encodings
- http://apache.org/xml/properties/internal/symbol-table
- http://apache.org/xml/properties/internal/error-reporter
- http://apache.org/xml/properties/internal/entity-resolver

Nested Class Summary
`protected static class` | `XMLEntityManager.Entity` Deprecated. Entity information.
`protected class` | `XMLEntityManager.EntityScanner` Deprecated. Implements the entity scanner methods.
`protected static class` | `XMLEntityManager.ExternalEntity` Deprecated. External entity.
`protected static class` | `XMLEntityManager.InternalEntity` Deprecated. Internal entity.
`protected class` | `XMLEntityManager.RewindableInputStream` Deprecated.
`protected class` | `XMLEntityManager.ScannedEntity` Deprecated. Entity state.

Field Summary
`protected static String` | `ALLOW_JAVA_ENCODINGS` Deprecated. Feature identifier: allow Java encodings.
`protected static String` | `BUFFER_SIZE` Deprecated. property identifier: buffer size.
`static int` | `DEFAULT_BUFFER_SIZE` Deprecated. Default buffer size (2048).
`static int` | `DEFAULT_INTERNAL_BUFFER_SIZE` Deprecated. Default internal entity buffer size (1024).
`static int` | `DEFAULT_XMLDECL_BUFFER_SIZE` Deprecated. Default buffer size before we've finished with the XMLDecl:
`protected static String` | `ENTITY_RESOLVER` Deprecated. Property identifier: entity resolver.
`protected static String` | `ERROR_REPORTER` Deprecated. Property identifier: error reporter.
`protected static String` | `EXTERNAL_GENERAL_ENTITIES` Deprecated. Feature identifier: external general entities.
`protected static String` | `EXTERNAL_PARAMETER_ENTITIES` Deprecated. Feature identifier: external parameter entities.
`protected boolean` | `fAllowJavaEncodings` Deprecated. Allow Java encoding names.
`protected int` | `fBufferSize` Deprecated. Buffer size.
`protected XMLEntityManager.ScannedEntity` | `fCurrentEntity` Deprecated. Current entity.
`protected Hashtable` | `fDeclaredEntities` Deprecated. Shared declared entities.
`protected Hashtable` | `fEntities` Deprecated. Entities.
`protected int` | `fEntityExpansionCount` Deprecated.
`protected int` | `fEntityExpansionLimit` Deprecated.
`protected XMLEntityHandler` | `fEntityHandler` Deprecated. Entity handler.
`protected XMLEntityResolver` | `fEntityResolver` Deprecated. Entity resolver.
`protected XMLEntityScanner` | `fEntityScanner` Deprecated. Entity scanner.
`protected Stack` | `fEntityStack` Deprecated. Entity stack.
`protected XMLErrorReporter` | `fErrorReporter` Deprecated. Error reporter.
`protected boolean` | `fExternalGeneralEntities` Deprecated. External general entities.
`protected boolean` | `fExternalParameterEntities` Deprecated. External parameter entities.
`protected Vector` | `fOwnReaders` Deprecated.
`protected SecurityManager` | `fSecurityManager` Deprecated.
`protected boolean` | `fStandalone` Deprecated. True if the document entity is standalone.
`protected SymbolTable` | `fSymbolTable` Deprecated. Symbol table.
`protected boolean` | `fValidation` Deprecated. Validation.
`protected ValidationManager` | `fValidationManager` Deprecated. Validation manager.
`protected boolean` | `fWarnDuplicateEntityDef` Deprecated. warn on duplicate Entity declaration.
`protected static String` | `SECURITY_MANAGER` Deprecated. property identifier: security manager.
`protected static String` | `SYMBOL_TABLE` Deprecated. Property identifier: symbol table.
`protected static String` | `VALIDATION` Deprecated. Feature identifier: validation.
`protected static String` | `VALIDATION_MANAGER` Deprecated.
`protected static String` | `WARN_ON_DUPLICATE_ENTITYDEF` Deprecated. Feature identifier: warn on duplicate EntityDef

Constructor Summary
`XMLEntityManager()` Deprecated. Default constructor.
`XMLEntityManager(XMLEntityManager entityManager)` Deprecated. Constructs an entity manager that shares the specified entity declarations during each parse.

Method Summary
`void` | `addExternalEntity(String name, String publicId, String literalSystemId, String baseSystemId)` Deprecated. Adds an external entity declaration.
`void` | `addInternalEntity(String name, String text)` Deprecated. Adds an internal entity declaration.
`void` | `addUnparsedEntity(String name, String publicId, String systemId, String baseSystemId, String notation)` Deprecated. Adds an unparsed entity declaration.
`void` | `closeReaders()` Deprecated. Close all opened InputStreams and Readers opened by this parser.
`protected XMLEntityScanner` | `createEntityScanner()` Deprecated.
`protected Reader` | `createReader(InputStream inputStream, String encoding, Boolean isBigEndian)` Deprecated. Creates a reader capable of reading the given input stream in the specified encoding.
`protected void` | `endEntity()` Deprecated. Ends an entity.
`static String` | `expandSystemId(String systemId)` Deprecated. Expands a system id and returns the system id as a URI, if it can be expanded.
`static String` | `expandSystemId(String systemId, String baseSystemId)` Deprecated. Expands a system id and returns the system id as a URI, if it can be expanded.
`protected static String` | `fixURI(String str)` Deprecated. Fixes a platform dependent filename to standard URI form.
`protected Object[]` | `getEncodingName(byte[] b4, int count)` Deprecated. Returns the IANA encoding name that is auto-detected from the bytes specified, with the endian-ness of that encoding where appropriate.
`XMLEntityScanner` | `getEntityScanner()` Deprecated. Returns the entity scanner.
`String[]` | `getRecognizedFeatures()` Deprecated. Returns a list of feature identifiers that are recognized by this component.
`String[]` | `getRecognizedProperties()` Deprecated. Returns a list of property identifiers that are recognized by this component.
`boolean` | `isDeclaredEntity(String entityName)` Deprecated. Checks whether an entity given by name is declared.
`boolean` | `isExternalEntity(String entityName)` Deprecated. Checks whether an entity given by name is external.
`boolean` | `isStandalone()` Deprecated. Returns true if the document entity is standalone.
`boolean` | `isUnparsedEntity(String entityName)` Deprecated. Checks whether an entity given by name is unparsed.
`void` | `reset(XMLComponentManager componentManager)` Deprecated. Resets the component.
`XMLInputSource` | `resolveEntity(XMLResourceIdentifier resourceIdentifier)` Deprecated. Resolves the specified public and system identifiers.
`void` | `setEntityHandler(XMLEntityHandler entityHandler)` Deprecated. Sets the entity handler.
`void` | `setFeature(String featureId, boolean state)` Deprecated. Sets the state of a feature.
`void` | `setProperty(String propertyId, Object value)` Deprecated. Sets the value of a property.
`void` | `setStandalone(boolean standalone)` Deprecated. Sets whether the document entity is standalone.
`void` | `startDocumentEntity(XMLInputSource xmlInputSource)` Deprecated. Starts the document entity.
`void` | `startDTDEntity(XMLInputSource xmlInputSource)` Deprecated. Starts the DTD entity.
`void` | `startEntity(String entityName, boolean literal)` Deprecated. Starts a named entity.
`void` | `startEntity(String name, XMLInputSource xmlInputSource, boolean literal, boolean isExternal)` Deprecated. Starts an entity.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_BUFFER_SIZE

    public static final int DEFAULT_BUFFER_SIZE

  Deprecated.
  Default buffer size (2048).

  See Also:
    Constant Field Values

### DEFAULT_XMLDECL_BUFFER_SIZE

    public static final int DEFAULT_XMLDECL_BUFFER_SIZE

  Deprecated.
  Default buffer size before we've finished with the XMLDecl:

  See Also:
    Constant Field Values

### DEFAULT_INTERNAL_BUFFER_SIZE

    public static final int DEFAULT_INTERNAL_BUFFER_SIZE

  Deprecated.
  Default internal entity buffer size (1024).

  See Also:
    Constant Field Values

### VALIDATION

    protected static final String VALIDATION

  Deprecated.
  Feature identifier: validation.

  See Also:
    Constant Field Values

### EXTERNAL_GENERAL_ENTITIES

    protected static final String EXTERNAL_GENERAL_ENTITIES

  Deprecated.
  Feature identifier: external general entities.

  See Also:
    Constant Field Values

### EXTERNAL_PARAMETER_ENTITIES

    protected static final String EXTERNAL_PARAMETER_ENTITIES

  Deprecated.
  Feature identifier: external parameter entities.

  See Also:
    Constant Field Values

### ALLOW_JAVA_ENCODINGS

    protected static final String ALLOW_JAVA_ENCODINGS

  Deprecated.
  Feature identifier: allow Java encodings.

  See Also:
    Constant Field Values

### WARN_ON_DUPLICATE_ENTITYDEF

    protected static final String WARN_ON_DUPLICATE_ENTITYDEF

  Deprecated.
  Feature identifier: warn on duplicate EntityDef

  See Also:
    Constant Field Values

### SYMBOL_TABLE

    protected static final String SYMBOL_TABLE

  Deprecated.
  Property identifier: symbol table.

  See Also:
    Constant Field Values

### ERROR_REPORTER

    protected static final String ERROR_REPORTER

  Deprecated.
  Property identifier: error reporter.

  See Also:
    Constant Field Values

### ENTITY_RESOLVER

    protected static final String ENTITY_RESOLVER

  Deprecated.
  Property identifier: entity resolver.

  See Also:
    Constant Field Values

### VALIDATION_MANAGER

    protected static final String VALIDATION_MANAGER

  Deprecated.
  See Also:
    Constant Field Values

### BUFFER_SIZE

    protected static final String BUFFER_SIZE

  Deprecated.
  property identifier: buffer size.

  See Also:
    Constant Field Values

### SECURITY_MANAGER

    protected static final String SECURITY_MANAGER

  Deprecated.
  property identifier: security manager.

  See Also:
    Constant Field Values

### fValidation

    protected boolean fValidation

  Deprecated.
  Validation. This feature identifier is: http://xml.org/sax/features/validation

### fExternalGeneralEntities

    protected boolean fExternalGeneralEntities

  Deprecated.
  External general entities. This feature identifier is: http://xml.org/sax/features/external-general-entities

### fExternalParameterEntities

    protected boolean fExternalParameterEntities

  Deprecated.
  External parameter entities. This feature identifier is: http://xml.org/sax/features/external-parameter-entities

### fAllowJavaEncodings

    protected boolean fAllowJavaEncodings

  Deprecated.
  Allow Java encoding names. This feature identifier is: http://apache.org/xml/features/allow-java-encodings

### fWarnDuplicateEntityDef

    protected boolean fWarnDuplicateEntityDef

  Deprecated.
  warn on duplicate Entity declaration. http://apache.org/xml/features/warn-on-duplicate-entitydef

### fSymbolTable

    protected SymbolTable fSymbolTable

  Deprecated.
  Symbol table. This property identifier is: http://apache.org/xml/properties/internal/symbol-table

### fErrorReporter

    protected XMLErrorReporter fErrorReporter

  Deprecated.
  Error reporter. This property identifier is: http://apache.org/xml/properties/internal/error-reporter

### fEntityResolver

    protected XMLEntityResolver fEntityResolver

  Deprecated.
  Entity resolver. This property identifier is: http://apache.org/xml/properties/internal/entity-resolver

### fValidationManager

    protected ValidationManager fValidationManager

  Deprecated.
  Validation manager. This property identifier is: http://apache.org/xml/properties/internal/validation-manager

### fBufferSize

    protected int fBufferSize

  Deprecated.
  Buffer size. We get this value from a property. The default size is used if the input buffer size property is not specified. REVISIT: do we need a property for internal entity buffer size?

### fSecurityManager

    protected SecurityManager fSecurityManager

  Deprecated.

### fStandalone

    protected boolean fStandalone

  Deprecated.
  True if the document entity is standalone. This should really only be set by the document source (e.g. XMLDocumentScanner).

### fEntityHandler

    protected XMLEntityHandler fEntityHandler

  Deprecated.
  Entity handler.

### fEntityScanner

    protected XMLEntityScanner fEntityScanner

  Deprecated.
  Entity scanner.

### fEntityExpansionLimit

    protected int fEntityExpansionLimit

  Deprecated.

### fEntityExpansionCount

    protected int fEntityExpansionCount

  Deprecated.

### fEntities

    protected Hashtable fEntities

  Deprecated.
  Entities.

### fEntityStack

    protected Stack fEntityStack

  Deprecated.
  Entity stack.

### fCurrentEntity

    protected XMLEntityManager.ScannedEntity fCurrentEntity

  Deprecated.
  Current entity.

### fDeclaredEntities

    protected Hashtable fDeclaredEntities

  Deprecated.
  Shared declared entities.

### fOwnReaders

    protected Vector fOwnReaders

  Deprecated.

Constructor Detail

### XMLEntityManager

    public XMLEntityManager()

  Deprecated.
  Default constructor.

### XMLEntityManager

    public XMLEntityManager(XMLEntityManager entityManager)

  Deprecated.
  Constructs an entity manager that shares the specified entity declarations during each parse.

  REVISIT: We might want to think about the "right" way to expose the list of declared entities. For now, the knowledge how to access the entity declarations is implicit.

Method Detail

### setStandalone

    public void setStandalone(boolean standalone)

  Deprecated.
  Sets whether the document entity is standalone.

  Parameters:
    `standalone` - True if document entity is standalone.

### isStandalone

    public boolean isStandalone()

  Deprecated.
  Returns true if the document entity is standalone.

### setEntityHandler

    public void setEntityHandler(XMLEntityHandler entityHandler)

  Deprecated.
  Sets the entity handler. When an entity starts and ends, the entity handler is notified of the change.

  Parameters:
    `entityHandler` - The new entity handler.

### addInternalEntity

    public void addInternalEntity(String name,
                                  String text)

  Deprecated.
  Adds an internal entity declaration.

  Note: This method ignores subsequent entity declarations.

  Note: The name should be a unique symbol. The SymbolTable can be used for this purpose.

  Parameters:
    `name` - The name of the entity.
    `text` - The text of the entity.
  See Also:
    `SymbolTable`

### addExternalEntity

    public void addExternalEntity(String name,
                                  String publicId,
                                  String literalSystemId,
                                  String baseSystemId)

  Deprecated.
  Adds an external entity declaration.

  Note: This method ignores subsequent entity declarations.

  Note: The name should be a unique symbol. The SymbolTable can be used for this purpose.

  Parameters:
    `name` - The name of the entity.
    `publicId` - The public identifier of the entity.
    `literalSystemId` - The system identifier of the entity.
    `baseSystemId` - The base system identifier of the entity. This is the system identifier of the entity where the entity being added and is used to expand the system identifier when the system identifier is a relative URI. When null the system identifier of the first external entity on the stack is used instead.
  See Also:
    `SymbolTable`

### isExternalEntity

    public boolean isExternalEntity(String entityName)

  Deprecated.
  Checks whether an entity given by name is external.

  Parameters:
    `entityName` - The name of the entity to check.

### addUnparsedEntity

    public void addUnparsedEntity(String name,
                                  String publicId,
                                  String systemId,
                                  String baseSystemId,
                                  String notation)

  Deprecated.
  Adds an unparsed entity declaration.

  Note: This method ignores subsequent entity declarations.

  Note: The name should be a unique symbol. The SymbolTable can be used for this purpose.

  Parameters:
    `name` - The name of the entity.
    `publicId` - The public identifier of the entity.
    `systemId` - The system identifier of the entity.
    `notation` - The name of the notation.
  See Also:
    `SymbolTable`

### isUnparsedEntity

    public boolean isUnparsedEntity(String entityName)

  Deprecated.
  Checks whether an entity given by name is unparsed.

  Parameters:
    `entityName` - The name of the entity to check.

### isDeclaredEntity

    public boolean isDeclaredEntity(String entityName)

  Deprecated.
  Checks whether an entity given by name is declared.

  Parameters:
    `entityName` - The name of the entity to check.

### resolveEntity

    public XMLInputSource resolveEntity(XMLResourceIdentifier resourceIdentifier)
                                 throws IOException,
                                        XNIException

  Deprecated.
  Resolves the specified public and system identifiers. This method first attempts to resolve the entity based on the EntityResolver registered by the application. If no entity resolver is registered or if the registered entity handler is unable to resolve the entity, then default entity resolution will occur.

  Specified by:
    `resolveEntity` in interface `XMLEntityResolver`
  Parameters:
    `publicId` - The public identifier of the entity.
    `systemId` - The system identifier of the entity.
    `baseSystemId` - The base system identifier of the entity. This is the system identifier of the current entity and is used to expand the system identifier when the system identifier is a relative URI.
  Returns:
    Returns an input source that wraps the resolved entity. This method will never return null.
  Throws:
    `IOException` - Thrown on i/o error.
    `XNIException` - Thrown by entity resolver to signal an error.
  See Also:
    `XMLResourceIdentifier`

### startEntity

    public void startEntity(String entityName,
                            boolean literal)
                     throws IOException,
                            XNIException

  Deprecated.
  Starts a named entity.

  Parameters:
    `entityName` - The name of the entity to start.
    `literal` - True if this entity is started within a literal value.
  Throws:
    `IOException` - Thrown on i/o error.
    `XNIException` - Thrown by entity handler to signal an error.

### startDocumentEntity

    public void startDocumentEntity(XMLInputSource xmlInputSource)
                             throws IOException,
                                    XNIException

  Deprecated.
  Starts the document entity. The document entity has the "[xml]" pseudo-name.

  Parameters:
    `xmlInputSource` - The input source of the document entity.
  Throws:
    `IOException` - Thrown on i/o error.
    `XNIException` - Thrown by entity handler to signal an error.

### startDTDEntity

    public void startDTDEntity(XMLInputSource xmlInputSource)
                        throws IOException,
                               XNIException

  Deprecated.
  Starts the DTD entity. The DTD entity has the "[dtd]" pseudo-name.

  Parameters:
    `xmlInputSource` - The input source of the DTD entity.
  Throws:
    `IOException` - Thrown on i/o error.
    `XNIException` - Thrown by entity handler to signal an error.

### startEntity

    public void startEntity(String name,
                            XMLInputSource xmlInputSource,
                            boolean literal,
                            boolean isExternal)
                     throws IOException,
                            XNIException

  Deprecated.
  Starts an entity.

  This method can be used to insert an application defined XML entity stream into the parsing stream.

  Parameters:
    `name` - The name of the entity.
    `xmlInputSource` - The input source of the entity.
    `literal` - True if this entity is started within a literal value.
    `isExternal` - whether this entity should be treated as an internal or external entity.
  Throws:
    `IOException` - Thrown on i/o error.
    `XNIException` - Thrown by entity handler to signal an error.

### getEntityScanner

    public XMLEntityScanner getEntityScanner()

  Deprecated.
  Returns the entity scanner.

### closeReaders

    public void closeReaders()

  Deprecated.
  Close all opened InputStreams and Readers opened by this parser.

### reset

    public void reset(XMLComponentManager componentManager)
               throws XMLConfigurationException

  Deprecated.
  Resets the component. The component can query the component manager about any features and properties that affect the operation of the component.

  Specified by:
    `reset` in interface `XMLComponent`
  Parameters:
    `componentManager` - The component manager.
  Throws:
    `SAXException` - Thrown by component on initialization error. For example, if a feature or property is required for the operation of the component, the component manager may throw a SAXNotRecognizedException or a SAXNotSupportedException.
    `XMLConfigurationException`

### getRecognizedFeatures

    public String[] getRecognizedFeatures()

  Deprecated.
  Returns a list of feature identifiers that are recognized by this component. This method may return null if no features are recognized by this component.

  Specified by:
    `getRecognizedFeatures` in interface `XMLComponent`

### setFeature

    public void setFeature(String featureId,
                           boolean state)
                    throws XMLConfigurationException

  Deprecated.
  Sets the state of a feature. This method is called by the component manager any time after reset when a feature changes state.

  Note: Components should silently ignore features that do not affect the operation of the component.

  Specified by:
    `setFeature` in interface `XMLComponent`
  Parameters:
    `featureId` - The feature identifier.
    `state` - The state of the feature.
  Throws:
    `SAXNotRecognizedException` - The component should not throw this exception.
    `SAXNotSupportedException` - The component should not throw this exception.
    `XMLConfigurationException` - Thrown for configuration error. In general, components should only throw this exception if it is really a critical error.

### getRecognizedProperties

    public String[] getRecognizedProperties()

  Deprecated.
  Returns a list of property identifiers that are recognized by this component. This method may return null if no properties are recognized by this component.

  Specified by:
    `getRecognizedProperties` in interface `XMLComponent`

### setProperty

    public void setProperty(String propertyId,
                            Object value)
                     throws XMLConfigurationException

  Deprecated.
  Sets the value of a property. This method is called by the component manager any time after reset when a property changes value.

  Note: Components should silently ignore properties that do not affect the operation of the component.

  Specified by:
    `setProperty` in interface `XMLComponent`
  Parameters:
    `propertyId` - The property identifier.
    `value` - The value of the property.
  Throws:
    `SAXNotRecognizedException` - The component should not throw this exception.
    `SAXNotSupportedException` - The component should not throw this exception.
    `XMLConfigurationException` - Thrown for configuration error. In general, components should only throw this exception if it is really a critical error.

### expandSystemId

    public static String expandSystemId(String systemId)

  Deprecated.
  Expands a system id and returns the system id as a URI, if it can be expanded. A return value of null means that the identifier is already expanded. An exception thrown indicates a failure to expand the id.

  Parameters:
    `systemId` - The systemId to be expanded.
  Returns:
    Returns the URI string representing the expanded system identifier. A null value indicates that the given system identifier is already expanded.

### expandSystemId

    public static String expandSystemId(String systemId,
                                        String baseSystemId)

  Deprecated.
  Expands a system id and returns the system id as a URI, if it can be expanded. A return value of null means that the identifier is already expanded. An exception thrown indicates a failure to expand the id.

  Parameters:
    `systemId` - The systemId to be expanded.
  Returns:
    Returns the URI string representing the expanded system identifier. A null value indicates that the given system identifier is already expanded.

### endEntity

    protected void endEntity()
                      throws XNIException

  Deprecated.
  Ends an entity.

  Throws:
    `XNIException` - Thrown by entity handler to signal an error.

### getEncodingName

    protected Object[] getEncodingName(byte[] b4,
                                       int count)

  Deprecated.
  Returns the IANA encoding name that is auto-detected from the bytes specified, with the endian-ness of that encoding where appropriate.

  Parameters:
    `b4` - The first four bytes of the input.
    `count` - The number of bytes actually read.
  Returns:
    a 2-element array: the first element, an IANA-encoding string, the second element a Boolean which is true iff the document is big endian, false if it's little-endian, and null if the distinction isn't relevant.

### createReader

    protected Reader createReader(InputStream inputStream,
                                  String encoding,
                                  Boolean isBigEndian)
                           throws IOException

  Deprecated.
  Creates a reader capable of reading the given input stream in the specified encoding.

  Parameters:
    `inputStream` - The input stream.
    `encoding` - The encoding name that the input stream is encoded using. If the user has specified that Java encoding names are allowed, then the encoding name may be a Java encoding name; otherwise, it is an ianaEncoding name.
    `isBigEndian` - For encodings (like uCS-4), whose names cannot specify a byte order, this tells whether the order is bigEndian. null menas unknown or not relevant.
  Returns:
    Returns a reader.
  Throws:
    `IOException`

### createEntityScanner

    protected XMLEntityScanner createEntityScanner()

  Deprecated.

### fixURI

    protected static String fixURI(String str)

  Deprecated.
  Fixes a platform dependent filename to standard URI form.

  Parameters:
    `str` - The string to fix.
  Returns:
    Returns the fixed URI string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD